"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var XSelection_1 = require("./XSelection");
exports.XSelection = XSelection_1.XSelection;
var XDocument_1 = require("./XDocument");
exports.XDocument = XDocument_1.XDocument;
var NodeUtils_1 = require("./NodeUtils");
exports.NodeUtils = NodeUtils_1.NodeUtils;
var ITextIndex;
(function (ITextIndex) {
    ITextIndex.None = {
        nth: -1,
        position: -1,
        text: '',
    };
})(ITextIndex = exports.ITextIndex || (exports.ITextIndex = {}));
var ITextRange;
(function (ITextRange) {
    ITextRange.None = {
        start: { text: '', nth: -1 },
        end: { text: '', nth: -1 },
    };
    function toSimpleString(range) {
        return JSON.stringify([range.start.nth + ":" + range.start.text, range.end.nth + ":" + range.end.text]);
    }
    ITextRange.toSimpleString = toSimpleString;
    function fromSimpleString(str) {
        var simple = JSON.parse(str);
        var from = simple[0].split(':', 2);
        var to = simple[1].split(':');
        return {
            start: { text: from[1], nth: parseInt(from[0], 10) },
            end: { text: to[1], nth: parseInt(to[0], 10) }
        };
    }
    ITextRange.fromSimpleString = fromSimpleString;
})(ITextRange = exports.ITextRange || (exports.ITextRange = {}));
//# sourceMappingURL=texton.js.map