import { ITextIndex } from './texton';
export declare class StringUtils {
    /**
     * the position of the nth occurrence of searchString
     * @param {string} source
     * @param {string} searchString
     * @param {number} nth = 1
     * @return {number} start position of the nth occurrence of <em>searchString</em>
     */
    static indexOf(source: string, searchString: string, nth?: number): number;
    static indexOfNthNotEmptyChar(source: string, nth: number): number;
    static indexOfNthNotEmptyCharFromEnd(source: string, nth: number): number;
    /**
     * the occurrences(include the positions) of searchString
     * @param {string} source
     * @param {string} searchString
     * @returns {Array<ITextIndex>}
     */
    static find(source: string, searchString: string): ITextIndex[];
    /**
     * @return {string} compacted string
     */
    static compact(source: string): string;
}
