import { XSelection, XText } from './XSelection';
import { ITextIndex, ITextRange } from './texton';
export declare class XDocument {
    static from(root?: Element): XDocument;
    nodes: XText[];
    text: string;
    readonly doc: Document;
    readonly win: Window;
    readonly root: Element;
    private selection;
    constructor(root: Element);
    refresh(): void;
    /**
     * @see {@code XSelection.fromText}
     */
    select(optText?: string, optNth?: number, optSelect?: boolean): XSelection | null;
    /**
     * @see {@code XSelection.fromSelection}
     */
    fromSelection(selection: Selection): XSelection | null;
    /**
     * @see {@code XSelection.fromText}
     */
    fromText(text: string, nth?: number, optSelect?: boolean): XSelection | null;
    /**
     * @see {@code XSelection.fromText}
     */
    fromTextIndex(index: ITextIndex, optSelect?: boolean): XSelection | null;
    /**
     * @see {@code XSelection.fromTextRange}
     */
    fromTextRange(range: ITextRange, optSelect?: boolean): XSelection | null;
    normalize(): void;
}
